/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/utils/ids-deferred-utils/ids-deferred-utils.ts
var IdsDeferred = class {
  // Reference to the promise object
  promise;
  // Reference to the promise's internal resolve fn
  resolve;
  // Reference to the promise's internal reject fn
  reject;
  // Promise state
  hasResolved = false;
  constructor() {
    this.promise = new Promise((resolve, reject) => {
      this.resolve = (args) => {
        this.hasResolved = true;
        resolve(args);
      };
      this.reject = (args) => {
        this.hasResolved = false;
        reject(args);
      };
    });
  }
};

export {
  IdsDeferred
};
//# sourceMappingURL=ids-chunk-32V6AIKW-full.js.map
