/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/components/ids-tree/ids-tree-shared.ts
var IdsTreeShared = {
  /**
   * Default settings
   */
  DEFAULTS: {
    collapseIcon: "closed-folder",
    expandIcon: "open-folder",
    expanded: false,
    icon: "tree-node",
    selectable: "single",
    expandTarget: "node",
    toggleCollapseIcon: "plusminus-folder-closed",
    toggleExpandIcon: "plusminus-folder-open",
    toggleIconRotate: false,
    showExpandAndToggleIcons: false
  },
  SELECTABLE: ["single", "multiple", "none"],
  EVENTS: {
    beforeselected: "beforeselected",
    selected: "selected",
    beforeunselected: "beforeunselected",
    unselected: "unselected",
    beforecollapsed: "beforecollapsed",
    collapsed: "collapsed",
    beforeexpanded: "beforeexpanded",
    expanded: "expanded"
  },
  TOGGLE_CLASSES: {
    collapsed: "collapsed",
    expanded: "expanded"
  },
  TREE_ARIA_LABEL: "IDS Tree"
};
var ids_tree_shared_default = IdsTreeShared;

export {
  ids_tree_shared_default
};
//# sourceMappingURL=ids-chunk-SDGAGUWW-full.js.map
