/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/utils/ids-file-saver/ids-file-saver.ts
function saveAs(filename, data) {
  const a = document.createElement("a");
  a.rel = "noopener";
  a.download = filename;
  a.href = data instanceof Blob ? URL.createObjectURL(data) : data;
  a.dispatchEvent(new MouseEvent("click"));
  URL.revokeObjectURL(a.href);
}

export {
  saveAs
};
//# sourceMappingURL=ids-chunk-UIIX26ON-full.js.map
