/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  attributes
} from "./ids-chunk-QQAXKC5H-full.js";

// src/components/ids-button/ids-button-common.ts
var BUTTON_APPEARANCE = [
  "default",
  "primary",
  "secondary",
  "tertiary",
  "primary-destructive",
  "tertiary-destructive",
  "swipe-action-left",
  "swipe-action-right",
  "primary-generative-ai",
  "tertiary-generative-ai",
  "secondary-generative-ai"
];
var BUTTON_CONTENT_ALIGNMENTS = [
  "default",
  "start",
  "end"
];
var BUTTON_TYPES = [
  "button",
  "submit",
  "reset",
  "menu"
];
var BUTTON_DEFAULTS = {
  contentAlign: BUTTON_CONTENT_ALIGNMENTS[0],
  cssClass: [],
  disabled: false,
  hidden: false,
  tabIndex: 0,
  iconAlign: void 0,
  appearance: BUTTON_APPEARANCE[0]
};
var BUTTON_ATTRIBUTES = [
  attributes.APPEARANCE,
  attributes.COMPACT,
  attributes.CONTENT_ALIGN,
  attributes.CSS_CLASS,
  attributes.DISABLED,
  attributes.HEIGHT,
  attributes.HIDDEN,
  attributes.ICON,
  attributes.ICON_ALIGN,
  attributes.ID,
  attributes.NO_ANIMATION,
  attributes.NO_PADDING,
  attributes.NO_MARGINS,
  attributes.SQUARE,
  attributes.TEXT,
  attributes.TYPE,
  attributes.TABINDEX,
  attributes.WIDTH,
  attributes.BADGE_COLOR,
  attributes.BADGE_POSITION,
  attributes.OVERFLOW
];
var ICON_ALIGN_CLASSNAMES = [
  "align-icon-start",
  "align-icon-end"
];
var baseProtoClasses = [
  "ids-button",
  "ids-icon-button",
  "ids-menu-button",
  "ids-toggle-button"
];

export {
  BUTTON_APPEARANCE,
  BUTTON_CONTENT_ALIGNMENTS,
  BUTTON_TYPES,
  BUTTON_DEFAULTS,
  BUTTON_ATTRIBUTES,
  ICON_ALIGN_CLASSNAMES,
  baseProtoClasses
};
//# sourceMappingURL=ids-chunk-ZTJAOSP5-full.js.map
