/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import "../../chunks/ids-chunk-35FUK26K-full.js";

// src/components/ids-modal/ids-modal-service.ts
var IdsModalService = class {
  /* Show a notification Banner */
  static show(settings) {
    const modal = document.createElement("ids-modal");
    document.body.appendChild(modal);
    modal.show(settings);
  }
  /* Close All notification Banner */
  static hide(id) {
    document.querySelector(`#${id}`)?.hide();
  }
  /* Get button reference for active modals by id */
  static buttons(id) {
    return document.querySelector(`#${id}`).querySelectorAll("ids-modal-button");
  }
};
export {
  IdsModalService as default
};
//# sourceMappingURL=ids-modal-service.js.map
