export declare const attributes: {
    ACCEPT: string;
    ACTION: string;
    ACTIONABLE: string;
    ACTIVE: string;
    ACTIVATED: string;
    ADD_NEW_AT_END: string;
    ADVANCED: string;
    ALIGN: string;
    ALIGN_CONTENT: string;
    ALIGN_EDGE: string;
    ALIGN_ITEMS: string;
    ALIGN_SELF: string;
    ALIGN_TARGET: string;
    ALIGN_X: string;
    ALIGN_X_LABELS: string;
    ALIGN_Y: string;
    ALLOW_BLANK: string;
    ALLOW_EMPTY_HREF: string;
    ALLOW_LINK: string;
    ALLOW_ONE_PANE: string;
    ALLOW_ONE_EXPANDED_ROW: string;
    ALT: string;
    ALTERNATE_ROW_SHADING: string;
    ANIMATED: string;
    ANIMATION_SPEED: string;
    ANIMATION_STYLE: string;
    APPEARANCE: string;
    ARROW: string;
    ARROW_TARGET: string;
    AS_NAV: string;
    ATTACHMENT: string;
    AUDIBLE: string;
    AUTO: string;
    AUTO_FILL: string;
    AUTO_FIT: string;
    AUTO_FLOW: string;
    AUTO_FOCUS: string;
    AUTO_HEIGHT: string;
    AUTO_ROWS: string;
    AUTO_SIZE: string;
    AUTO_START: string;
    AUTOCOMPLETE: string;
    AUTOGROW: string;
    AUTOSELECT: string;
    AUTOUPDATE: string;
    AXIS: string;
    AXIS_LABEL_BOTTOM: string;
    AXIS_LABEL_END: string;
    AXIS_LABEL_MARGIN: string;
    AXIS_LABEL_START: string;
    AXIS_LABEL_TOP: string;
    BACKGROUND_COLOR: string;
    BADGE_COLOR: string;
    BADGE_POSITION: string;
    BAR_PERCENTAGE: string;
    BG_TRANSPARENT: string;
    BLEED: string;
    BOLD: string;
    BORDERED: string;
    BORDER_RADIUS: string;
    BORDERLESS: string;
    BREAKPOINT: string;
    BROWSER_AUTOCOMPLETE: string;
    BUFFER_SIZE: string;
    BUTTON_TEXT: string;
    BUTTONS: string;
    CANCEL: string;
    CANCEL_BTN_TEXT: string;
    CAPS_LOCK: string;
    CAPTURES_FOCUS: string;
    CATEGORY: string;
    CATEGORY_PERCENTAGE: string;
    CENTER_ON_OVERFLOW: string;
    CELL_SELECTION: string;
    CHAR_MAX_TEXT: string;
    CHAR_REMAINING_TEXT: string;
    CHARACTER_COUNTER: string;
    CHECKED: string;
    CHILD_FILTER_MATCH: string;
    CLEARABLE: string;
    CLEARABLE_FORCED: string;
    CLEARABLE_TEXT: string;
    CLICK_OUTSIDE_TO_CLOSE: string;
    CLICKABLE: string;
    CLOSE_ON_SCROLL: string;
    COL_END: string;
    COL_END_LG: string;
    COL_END_MD: string;
    COL_END_SM: string;
    COL_END_XL: string;
    COL_END_XS: string;
    COL_END_XXL: string;
    COL_GAP: string;
    COL_SELECTION: string;
    COLSPAN: string;
    COL_SPAN: string;
    COL_SPAN_LG: string;
    COL_SPAN_MD: string;
    COL_SPAN_SM: string;
    COL_SPAN_XL: string;
    COL_SPAN_XS: string;
    COL_SPAN_XXL: string;
    COL_START: string;
    COL_START_LG: string;
    COL_START_MD: string;
    COL_START_SM: string;
    COL_START_XL: string;
    COL_START_XS: string;
    COL_START_XXL: string;
    COLLAPSED: string;
    COLLAPSIBLE: string;
    COLLAPSIBLE_RESPONSIVE: string;
    COLLAPSE_ICON: string;
    COLLAPSE_CHILDREN: string;
    COLOR: string;
    COLOR_VARIANT: string;
    COLS: string;
    COLS_LG: string;
    COLS_MD: string;
    COLS_SM: string;
    COLS_XL: string;
    COLS_XS: string;
    COLS_XXL: string;
    COMPACT: string;
    COMPLETED_LABEL: string;
    COMPONENT_NAME: string;
    CONDITION: string;
    CONFIRM: string;
    CONTAINED: string;
    CONTAINER_TARGET: string;
    CONTENT_ALIGN: string;
    COPYRIGHT_YEAR: string;
    COUNT: string;
    CSS_CLASS: string;
    CURSOR: string;
    CYCLES_FOCUS: string;
    DATA: string;
    DATA_INDEX: string;
    DATE: string;
    DAY: string;
    DEFAULT_EXPANDED_INDEX: string;
    DELAY: string;
    DELIMITER: string;
    DESCRIPTION: string;
    DEVICE_SPECS: string;
    DIRECTION: string;
    DIRTY_TRACKER: string;
    DISABLE_CLIENT_FILTER: string;
    DISABLE_CLIENT_SORT: string;
    DISABLE_EVENTS: string;
    DISABLE_ERROR: string;
    DISABLE_ICON: string;
    DISABLE_ROW_HIGHLIGHT: string;
    DISABLE_TOOLTIP: string;
    DISABLE_HEADER_CHECKBOX: string;
    DISABLED: string;
    DISMISSIBLE: string;
    DISPLAY: string;
    DISPLAY_MODE: string;
    DISPLAY_SELECTED_TEXT: string;
    DISPLAY_TIME: string;
    DONUT: string;
    DONUT_TEXT: string;
    DRAG_MODE: string;
    DRAGGABLE: string;
    DRAGGING: string;
    DRAG_WIDTH: string;
    DRAG_HEIGHT: string;
    DRAG_BG_COLOR: string;
    DROPPED: string;
    DROP_WIDTH: string;
    DROP_HEIGHT: string;
    DROP_BG_COLOR: string;
    DROP_TARGET: string;
    DROPDOWN_ICON: string;
    EDGE: string;
    EDIT_NEXT_ON_ENTER_PRESS: string;
    EDITABLE: string;
    EMBEDDABLE: string;
    EMPTY_MESSAGE_DESCRIPTION: string;
    EMPTY_MESSAGE_ICON: string;
    EMPTY_MESSAGE_LABEL: string;
    ENABLE_CONTAINER: string;
    END_DATE: string;
    END_HOUR: string;
    ERROR: string;
    EXPAND_ICON: string;
    EXPAND_STYLE: string;
    EXPAND_TARGET: string;
    EXPANDABLE_ROW: string;
    EXPANDABLE_ROW_TEMPLATE: string;
    EXPANDED: string;
    EXPANDER_TYPE: string;
    FALLBACK: string;
    FAVOR: string;
    FIELD: string;
    FIELD_HEIGHT: string;
    FILE: string;
    FILE_NAME: string;
    FILL: string;
    FILTER_ROW_DISABLED: string;
    FILTER_WHEN_TYPING: string;
    FILTER_TYPE: string;
    FILTERABLE: string;
    FIRST: string;
    FIRST_DAY_OF_WEEK: string;
    FIXED: string;
    FLOW: string;
    FLOW_LG: string;
    FLOW_MD: string;
    FLOW_SM: string;
    FLOW_XL: string;
    FLOW_XS: string;
    FLOW_XXL: string;
    FOCUS_INLINE: string;
    FOCUSABLE: string;
    FONT_SIZE: string;
    FONT_WEIGHT: string;
    FORMAT: string;
    FORMATTER_WIDTH: string;
    FULL_HEIGHT: string;
    FULLSIZE: string;
    GAP: string;
    GAP_X: string;
    GAP_Y: string;
    GENERATIVE_AI: string;
    GROUP: string;
    GROUP_DISABLED: string;
    GROUP_LABEL: string;
    GROUP_SELECTS_CHILDREN: string;
    GROUPABLE: string;
    GROUPED: string;
    GROW: string;
    HANDLE: string;
    HAS_ERROR: string;
    HEADER_MENU_ID: string;
    HEIGHT: string;
    HEX: string;
    HIDDEN: string;
    HIDDEN_BY_FILTER: string;
    HIDE: string;
    HIDE_HEADER_CHECKBOX: string;
    HIDE_CHECKBOXES: string;
    HIDE_DOWN: string;
    HIDE_FOCUS: string;
    HIDE_ON_ONE: string;
    HIDE_UP: string;
    HIGHLIGHTED: string;
    HITBOX: string;
    HORIZONTAL: string;
    HOURS: string;
    HREF: string;
    HYPERLINK_BEHAVIOR: string;
    ICON: string;
    ICON_ALIGN: string;
    ICON_OFF: string;
    ICON_ON: string;
    ICON_SIZE: string;
    ID: string;
    ID_COLUMN: string;
    INACTIVE: string;
    INDETERMINATE: string;
    INDEX: string;
    INFO_FIELD: string;
    INHERIT_COLOR: string;
    INITIALS: string;
    INLINE: string;
    IS_CALENDAR_TOOLBAR: string;
    IS_DATEPICKER: string;
    IS_DRAGGING: string;
    IS_DROPDOWN: string;
    ITEM_HEIGHT: string;
    JUSTIFY: string;
    JUSTIFY_CONTENT: string;
    KEEP_FILTER_CONDITIONS: string;
    KEEP_OPEN: string;
    KEEP_EXPANDER_PLACEMENT: string;
    KPI: string;
    KPI_FORMAT: string;
    LABEL: string;
    LABEL_AUDIBLE: string;
    LABEL_FILETYPE: string;
    LABEL_HIDDEN: string;
    LABEL_POSITION: string;
    LABEL_PROGRESS: string;
    LABEL_REQUIRED: string;
    LABEL_SECONDARY: string;
    LABEL_STATE: string;
    LABEL_TOTAL: string;
    LABEL_WRAP: string;
    LANGUAGE: string;
    LAST: string;
    LAZY_LOAD: string;
    LEGEND_PLACEMENT: string;
    LINE_CLAMP: string;
    LINEAR: string;
    LINK: string;
    LINK_TEXT: string;
    LIST: string;
    LIST_BOX_POSITION_STYLE: string;
    LIST_STYLE: string;
    LOADED: string;
    LOADING_INDICATOR_ONLY: string;
    LOCALE: string;
    LOCALE_MENU: string;
    LOOP: string;
    LOWERCASE: string;
    MAIN_LABEL: string;
    MARGIN: string;
    MARGIN_Y: string;
    MARGINS: string;
    MARKER_SIZE: string;
    MASK: string;
    MASK_GUIDE: string;
    MASK_OPTIONS: string;
    MASK_RETAIN_POSITIONS: string;
    MAX: string;
    MAX_COL_WIDTH: string;
    MAX_FILE_SIZE: string;
    MAX_FILES: string;
    MAX_FILES_IN_PROCESS: string;
    MAX_HEIGHT: string;
    MAX_ROW_HEIGHT: string;
    MAX_SIZE: string;
    MAX_TRANSFORM_X: string;
    MAX_TRANSFORM_Y: string;
    MAX_WIDTH: string;
    MAXLENGTH: string;
    MENU: string;
    MENU_ID: string;
    MESSAGE: string;
    MESSAGE_TEXT: string;
    MESSAGE_TITLE: string;
    METHOD: string;
    MIN: string;
    MIN_COL_WIDTH: string;
    MIN_HEIGHT: string;
    MIN_ROW_HEIGHT: string;
    MIN_SIZE: string;
    MIN_TRANSFORM_X: string;
    MIN_TRANSFORM_Y: string;
    MIN_WIDTH: string;
    MINUTE_INTERVAL: string;
    MINUTES: string;
    MODE: string;
    MONTH: string;
    MORE_ACTIONS: string;
    MULTIPLE: string;
    MULTI_COLUMN: string;
    NAME: string;
    NAV_DISABLED: string;
    NEXT: string;
    NO_ANIMATION: string;
    NO_HEADER: string;
    NO_MARGINS: string;
    NO_PADDING: string;
    NO_SCROLL: string;
    OFFSET_CONTAINER: string;
    OFFSET_CONTENT: string;
    OPACITY: string;
    OPERATOR: string;
    ORDER: string;
    ORDER_LG: string;
    ORDER_MD: string;
    ORDER_SM: string;
    ORDER_XL: string;
    ORDER_XS: string;
    ORDER_XXL: string;
    ORIENTATION: string;
    ORIGINAL_TEXT: string;
    OVER: string;
    OVERFLOW: string;
    OVERFLOWED: string;
    OVERLAY: string;
    PADDING: string;
    PADDING_X: string;
    PADDING_Y: string;
    PAGE_COUNT: string;
    PAGE_NUMBER: string;
    PAGE_SIZE: string;
    PAGE_TOTAL: string;
    PAGINATION: string;
    PARAGRAPH_SEPARATOR: string;
    PARAM_NAME: string;
    PARENT_CONTAINMENT: string;
    PARENT_DISABLED: string;
    PART: string;
    PASSWORD_VISIBLE: string;
    PASTE_AS_PLAIN_TEXT: string;
    PERCENT: string;
    PERCENTAGE_VISIBLE: string;
    PERIOD: string;
    PERSIST_EXPANDED: string;
    PINNED: string;
    PLACEHOLDER: string;
    PLACEMENT: string;
    POSITION: string;
    POSITION_STYLE: string;
    PRE_SELECTED: string;
    PRESSED: string;
    PREVIOUS: string;
    PRINTABLE: string;
    PRODUCT_NAME: string;
    PRODUCT_VERSION: string;
    PROGRESS: string;
    PROGRESS_BAR: string;
    PROGRESS_COLOR: string;
    RANGE_SETTINGS: string;
    READONLY: string;
    READONLY_BACKGROUND: string;
    RECORD_COUNT: string;
    RELATIVE_BOUNDS: string;
    REQUIRED: string;
    RESET: string;
    RESIZABLE: string;
    RESIZE_ON_DRAG_END: string;
    RESPOND_DOWN: string;
    RESPOND_UP: string;
    RESPONSIVE: string;
    RESULT: string;
    REVEAL: string;
    REVEALABLE_PASSWORD: string;
    ROOT_ITEM: string;
    ROTATE_NAME_LABELS: string;
    ROUND: string;
    ROUND_TO_INTERVAL: string;
    ROWS: string;
    ROWS_LG: string;
    ROWS_MD: string;
    ROWS_SM: string;
    ROWS_XL: string;
    ROWS_XS: string;
    ROWS_XXL: string;
    ROW_END: string;
    ROW_GAP: string;
    ROW_HEIGHT: string;
    ROW_INDEX: string;
    ROW_NAVIGATION: string;
    ROW_SELECTION: string;
    ROWSPAN: string;
    ROW_SPAN: string;
    ROW_SPAN_LG: string;
    ROW_SPAN_MD: string;
    ROW_SPAN_SM: string;
    ROW_SPAN_XL: string;
    ROW_SPAN_XS: string;
    ROW_SPAN_XXL: string;
    ROW_START: string;
    SAVE_ACTIVE_PAGE: string;
    SAVE_COLUMNS: string;
    SAVE_FILTER: string;
    SAVE_PAGE_SIZE: string;
    SAVE_POSITION: string;
    SAVE_ROW_HEIGHT: string;
    SAVE_SORT_ORDER: string;
    SAVE_USER_SETTINGS: string;
    SCROLL_MAX_ROWS: string;
    SCROLL_TOP: string;
    SCROLLABLE: string;
    SEARCH_FIELD: string;
    SEARCH_FIELD_ID: string;
    SEARCH_FILTER_MODE: string;
    SEARCH_TERM_CASE_SENSITIVE: string;
    SEARCH_TERM_MIN_SIZE: string;
    SEARCHABLE: string;
    SEARCHFIELD_PLACEHOLDER: string;
    SECOND_INTERVAL: string;
    SECONDS: string;
    SELECT: string;
    SELECTABLE: string;
    SELECTED: string;
    SELECTION: string;
    SELF_MANAGED: string;
    SHADOWED: string;
    SHAPE: string;
    SHORTCUT_KEYS: string;
    SHOW_BROWSE_LINK: string;
    SHOW_CANCEL: string;
    SHOW_CLEAR: string;
    SHOW_CLOSE_BUTTON: string;
    SHOW_DETAILS: string;
    SHOW_EXPAND_AND_COLLAPSE_ICONS: string;
    SHOW_EXPAND_AND_TOGGLE_ICONS: string;
    SHOW_HEADER_EXPANDER: string;
    SHOW_HORIZONTAL_GRID_LINES: string;
    SHOW_LABEL: string;
    SHOW_LEGEND: string;
    SHOW_LIST_ITEM_ICON: string;
    SHOW_LOADING_INDICATOR: string;
    SHOW_NO_RESULTS: string;
    SHOW_ON_FOCUS: string;
    SHOW_PICKLIST_MONTH: string;
    SHOW_PICKLIST_WEEK: string;
    SHOW_PICKLIST_YEAR: string;
    SHOW_TIMELINE: string;
    SHOW_TODAY: string;
    SHOW_TOOLTIP: string;
    SHOW_VALUE: string;
    SHOW_VERTICAL_GRID_LINES: string;
    SHOW_VISITED_COLOR: string;
    SHOW_WEEK_NUMBERS: string;
    SHRINK: string;
    SIZE: string;
    SORTABLE: string;
    SOURCE_FORMATTER: string;
    SQUARE: string;
    SRC: string;
    STACKED: string;
    STARS: string;
    START: string;
    START_DATE: string;
    START_HOUR: string;
    STATUS: string;
    STATUS_COLOR: string;
    STEP: string;
    STEP_INTERVAL: string;
    STEP_NUMBER: string;
    STEPS_IN_PROGRESS: string;
    STICKY: string;
    STICKY_POSITION: string;
    STROKE: string;
    SUB_TABS: string;
    SUBMENU: string;
    SUBMIT_BUTTON: string;
    SUBTITLE: string;
    SUPPRESS_CACHING: string;
    SUPPRESS_CONTROLS: string;
    SUPPRESS_DEACTIVATION: string;
    SUPPRESS_DESELECTION: string;
    SUPPRESS_EMPTY_MESSAGE: string;
    SUPPRESS_FORM: string;
    SUPPRESS_HIGHLIGHT: string;
    SUPPRESS_LABELS: string;
    SUPPRESS_ROW_CLICK_SELECTION: string;
    SUPPRESS_ROW_DEACTIVATION: string;
    SUPPRESS_ROW_DESELECTION: string;
    SUPPRESS_TOOLTIPS: string;
    SWAPPABLE: string;
    SWATCH: string;
    SWIPE_TYPE: string;
    TABBABLE: string;
    TABINDEX: string;
    TAGS: string;
    TARGET: string;
    TEMPLATE_ROWS: string;
    TEXT: string;
    TEXT_ALIGN: string;
    TEXT_COLOR: string;
    TEXT_DECORATION: string;
    TEXT_DISPLAY: string;
    TEXT_ELLIPSIS: string;
    TEXT_OFF: string;
    TEXT_ON: string;
    THEME: string;
    TICKS: string;
    TIMELINE_INTERVAL: string;
    TIMEOUT: string;
    TITLE: string;
    TODAY_SHORTCUT: string;
    TOGGLE_COLLAPSE_ICON: string;
    TOGGLE_EXPAND_ICON: string;
    TOGGLE_ICON_ROTATE: string;
    TOGGLEABLE: string;
    TOOLBAR_TYPE: string;
    CONTEXTUAL_TOOLBAR_ID: string;
    TOOLTIP: string;
    TOOLTIP_PLACEMENT: string;
    TOOLTIP_PLAIN_TEXT: string;
    TOTAL: string;
    TRANSLATE_TEXT: string;
    TREE_GRID: string;
    TREND_LABEL: string;
    TREND_LABEL_COLOR: string;
    TREND_FORMAT: string;
    TRIGGER: string;
    TRIGGER_ELEM: string;
    TRIGGER_LABEL: string;
    TRIGGER_TYPE: string;
    TRIGGERFIELD: string;
    TRUNCATE: string;
    TYPE: string;
    TYPEAHEAD: string;
    UNIQUE_ID: string;
    UPPERCASE: string;
    URL: string;
    USE_CURRENT_TIME: string;
    USE_DEFAULT_COPYRIGHT: string;
    USE_RANGE: string;
    USER_STATUS: string;
    VALIDATE: string;
    VALIDATION_EVENTS: string;
    VALIDATION_HAS_ERROR: string;
    VALIDATION_ICON: string;
    VALIDATION_ID: string;
    VALIDATION_MESSAGE: string;
    VALIDATION_TYPE: string;
    VALUE_FIELD: string;
    VALUE_SECONDARY: string;
    VALUE: string;
    VERTICAL: string;
    VIEW: string;
    VIEW_PICKER: string;
    VIEWBOX: string;
    VIRTUAL_SCROLL: string;
    VISIBLE: string;
    WIDGET_HEIGHT: string;
    WIDGET_WIDTH: string;
    WIDTH: string;
    WORD_WRAP: string;
    WRAP: string;
    X: string;
    X_AXIS_FORMATTER: string;
    X_AXIS_MIN: string;
    X_OFFSET: string;
    XSS_IGNORED_TAGS: string;
    Y: string;
    Y_AXIS_FORMATTER: string;
    Y_AXIS_MIN: string;
    Y_OFFSET: string;
    YEAR: string;
    Z_INDEX: string;
    USE_FORMATTERS_FOR_SIZING: string;
};
export declare const htmlAttributes: {
    ARIA_CHECKED: string;
    ARIA_EXPANDED: string;
    ARIA_HASPOPUP: string;
    ARIA_LABEL: string;
    ARIA_LABELLED_BY: string;
    ARIA_ORIENTATION: string;
    ARIA_POSINSET: string;
    ARIA_SELECTED: string;
    ARIA_SETSIZE: string;
    ARIA_VALUEMAX: string;
    ARIA_VALUEMIN: string;
    ARIA_VALUENOW: string;
    ARIA_VALUETEXT: string;
    ROLE: string;
    SLOT: string;
    TABINDEX: string;
};
export declare const prefix: {
    PREFIX: string;
};
export declare const version = "1.14.1";
export declare enum IdsDirection {
    Up = "up",
    Down = "down",
    Left = "left",
    Right = "right",
    Next = "next",
    Previous = "previous"
}
