/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/components/ids-accordion/ids-accordion-common.ts
var ALIGNMENT_TYPES = ["has-icon"];
var applyContentAlignmentClass = (cl, thisAlignment) => {
  ALIGNMENT_TYPES.forEach((alignment) => {
    if (!thisAlignment || alignment !== thisAlignment && cl.contains(alignment)) {
      cl.remove(alignment);
    } else if (alignment === thisAlignment && !cl.contains(alignment)) {
      cl.add(alignment);
    }
  });
};
var refreshRTLStyle = (cl, val) => {
  cl[val ? "add" : "remove"]("rtl");
};

export {
  ALIGNMENT_TYPES,
  applyContentAlignmentClass,
  refreshRTLStyle
};
//# sourceMappingURL=ids-chunk-MGROZYB3-full.js.map
