/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  stringToBool
} from "./ids-chunk-REOQKPVR-full.js";

// src/utils/ids-attribute-utils/ids-attribute-utils.ts
var setBooleanAttr = (name, el, value) => {
  const isTruthy = stringToBool(value);
  if (isTruthy) {
    el.setAttribute(name, `${isTruthy}`);
    el.container?.classList.add(name);
  } else {
    el.removeAttribute(name);
    el.container?.classList.remove(name);
  }
};

export {
  setBooleanAttr
};
//# sourceMappingURL=ids-chunk-RXIFSFPN-full.js.map
