/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */

// src/components/ids-popup/ids-picker-popup-common.ts
var X_FIELD_ADJUSTMENT = 12;
var TOP_FIELD_ADJUSTMENT = -24;
var onPickerPopupXYSwitch = (results) => {
  if (results.shouldSwitchXY) {
    if (["bottom", "top"].includes(results.targetEdge)) results.x = X_FIELD_ADJUSTMENT;
  } else if (results.flip) {
    results.y = TOP_FIELD_ADJUSTMENT;
  }
  return results;
};

export {
  onPickerPopupXYSwitch
};
//# sourceMappingURL=ids-chunk-UIX5RVGL-full.js.map
