export type IdsButtonContentAlignment = 'default' | 'start' | 'end';
export type IdsButtonIconAlignment = undefined | 'start' | 'end';
export type IdsButtonAppearance = 'default' | 'primary' | 'secondary' | 'tertiary' | 'primary-destructive' | 'tertiary-destructive' | 'swipe-action-right' | 'swipe-action-left' | 'primary-generative-ai' | 'tertiary-generative-ai' | 'secondary-generative-ai';
export declare const BUTTON_APPEARANCE: Array<IdsButtonAppearance>;
export declare const BUTTON_CONTENT_ALIGNMENTS: Array<IdsButtonContentAlignment>;
export type IdsButtonType = HTMLButtonElement['type'];
export declare const BUTTON_TYPES: Array<string>;
export declare const BUTTON_DEFAULTS: any;
export declare const BUTTON_ATTRIBUTES: string[];
export declare const ICON_ALIGN_CLASSNAMES: string[];
export declare const baseProtoClasses: string[];
