import { IdsDataGridColumn } from './ids-data-grid-column';
import { IdsDataGridFilterConditions } from './ids-data-grid-filters';
export interface IdsDataGridSettings {
    /** Set the active page number */
    activePage?: number;
    /** Set the columns */
    columns?: IdsDataGridColumn[];
    /** Set the filter conditions */
    filter?: IdsDataGridFilterConditions[];
    /** Set the page size */
    pageSize?: number;
    /** Set the row height */
    rowHeight?: string;
    /** Set the row selection */
    rowSelection: string;
    /** Set the sort order */
    sortOrder?: {
        id: string;
        ascending: boolean;
    };
}
