export declare const prefix = "ids-layout-grid";
export declare const GRID_ATTRIBUTES: string[];
export declare const GRID_CELL_ATTRIBUTES: string[];
export type IdsGapType = undefined | 'none' | 'sm' | 'md' | 'lg' | 'xl';
export type IdsJustifyType = undefined | 'space-around' | 'space-between' | 'center' | 'end' | 'space-evenly' | 'start';
export type IdsFlowType = undefined | 'row' | 'column' | 'dense' | 'row-dense' | 'column-dense';
export type IdsGridAlignItems = 'start' | 'end' | 'center' | 'stretch';
export type IdsGridMargins = undefined | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | 'auto';
export type IdsGridPadding = undefined | 'xs' | 'sm' | 'md' | 'lg' | 'xl';
export type IdsMaxWidth = undefined | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | 'xxl' | string;
export declare const GAP_TYPES: Array<IdsGapType>;
export declare const ALIGN_ITEMS: Array<IdsGridAlignItems>;
export declare const ALIGN_TYPES: Array<IdsJustifyType>;
export declare const FLOW_TYPES: Array<IdsFlowType>;
export declare const MARGIN_SIZES: Array<IdsGridMargins>;
export declare const PADDING_SIZES: Array<IdsGridPadding | any>;
export declare const MAX_WIDTH_SIZES: Array<IdsMaxWidth | any>;
