import IdsElement from '../../core/ids-element';
/**
 * IDS List View Group Header Component
 * @inherits IdsElement
 */
export default class IdsListViewGroupHeader extends IdsElement {
    constructor();
    connectedCallback(): void;
    static get attributes(): Array<string>;
    /**
     * @returns {string} The components template
     */
    template(): string;
    /**
     * Change the height of the header
     */
    set height(val: string);
    get height(): string;
}
