import './ids-notification-banner';
import type { IdsNotificationBannerSettings } from './ids-notification-banner';
import type IdsNotificationBanner from './ids-notification-banner';
/**
 * IDS Notification Service
 */
export default class IdsNotificationBannerService {
    static show(settings: IdsNotificationBannerSettings): void;
    static get openNotificationBanners(): Array<IdsNotificationBanner> | [];
    static dismissAll(): void;
    static dismissOldest(): void;
    static dismissNewest(): void;
    static get count(): number;
}
