/*!
 * Enterprise Web Components v1.14.1 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import "../../chunks/ids-chunk-LON5SJAC-full.js";
import "../../chunks/ids-chunk-3E5MYVAI-full.js";
import "../../chunks/ids-chunk-IDTITCOD-full.js";
import "../../chunks/ids-chunk-H22KV7YJ-full.js";
import "../../chunks/ids-chunk-42ZYJBIW-full.js";
import "../../chunks/ids-chunk-6PKI5SNA-full.js";
import "../../chunks/ids-chunk-4SRQMCTN-full.js";
import "../../chunks/ids-chunk-BECPNP53-full.js";
import "../../chunks/ids-chunk-4J54B7P5-full.js";
import "../../chunks/ids-chunk-VYRQAMI7-full.js";
import "../../chunks/ids-chunk-ALVBZPCR-full.js";
import "../../chunks/ids-chunk-KSR5ZCDC-full.js";
import "../../chunks/ids-chunk-LZWQ252S-full.js";
import "../../chunks/ids-chunk-C7YNGA4Q-full.js";
import "../../chunks/ids-chunk-ZTJAOSP5-full.js";
import "../../chunks/ids-chunk-FAXKPNFO-full.js";
import "../../chunks/ids-chunk-JDDM5QUK-full.js";
import "../../chunks/ids-chunk-PWRDSGAP-full.js";
import "../../chunks/ids-chunk-4WC5DSZI-full.js";
import "../../chunks/ids-chunk-SQDH4PYO-full.js";
import "../../chunks/ids-chunk-R42WXYZK-full.js";
import "../../chunks/ids-chunk-BMFYSQO7-full.js";
import "../../chunks/ids-chunk-I5KDLKR6-full.js";
import "../../chunks/ids-chunk-OHPMSJIR-full.js";
import "../../chunks/ids-chunk-2JY325P7-full.js";
import "../../chunks/ids-chunk-5K4YUTOH-full.js";
import "../../chunks/ids-chunk-KKFANICI-full.js";
import "../../chunks/ids-chunk-SF4EDV6P-full.js";
import "../../chunks/ids-chunk-UK4MWZ7U-full.js";
import "../../chunks/ids-chunk-UTR2KJV7-full.js";
import "../../chunks/ids-chunk-J6MRYBBM-full.js";
import "../../chunks/ids-chunk-BH5K2RGQ-full.js";
import "../../chunks/ids-chunk-32V6AIKW-full.js";
import "../../chunks/ids-chunk-WUTEO7FZ-full.js";
import "../../chunks/ids-chunk-NFOUOPCI-full.js";
import "../../chunks/ids-chunk-KNIQC2IS-full.js";
import "../../chunks/ids-chunk-KNXP4KUS-full.js";
import "../../chunks/ids-chunk-LQYSVESW-full.js";
import "../../chunks/ids-chunk-REOQKPVR-full.js";
import "../../chunks/ids-chunk-QQAXKC5H-full.js";
import "../../chunks/ids-chunk-35FUK26K-full.js";

// src/components/ids-notification-banner/ids-notification-banner-service.ts
var IdsNotificationBannerService = class {
  /* Show a notification Banner */
  static show(settings) {
    const notificationBanner = document.createElement("ids-notification-banner");
    notificationBanner.add(settings);
  }
  static get openNotificationBanners() {
    return Array.from(document.querySelectorAll("ids-notification-banner"));
  }
  /* Close All notification Banner */
  static dismissAll() {
    this.openNotificationBanners.forEach((el) => {
      el.dismiss();
    });
  }
  /* Close Last (oldest) notification Banner */
  static dismissOldest() {
    const last = this.openNotificationBanners.length - 1;
    if (last >= 0) this.openNotificationBanners[this.openNotificationBanners.length - 1]?.dismiss();
  }
  /* Close Newst recent notification Banner */
  static dismissNewest() {
    if (this.openNotificationBanners.length > 0) this.openNotificationBanners[0].dismiss();
  }
  /* Display number of open notification banners */
  static get count() {
    return document.querySelectorAll("ids-notification-banner").length || 0;
  }
};
export {
  IdsNotificationBannerService as default
};
//# sourceMappingURL=ids-notification-banner-service.js.map
