/**
 * Shared in between tree.
 * @private
 * @returns {void}
 */
declare const IdsTreeShared: {
    /**
     * Default settings
     */
    DEFAULTS: {
        collapseIcon: string;
        expandIcon: string;
        expanded: boolean;
        icon: string;
        selectable: string;
        expandTarget: string;
        toggleCollapseIcon: string;
        toggleExpandIcon: string;
        toggleIconRotate: boolean;
        showExpandAndToggleIcons: boolean;
    };
    SELECTABLE: string[];
    EVENTS: {
        beforeselected: string;
        selected: string;
        beforeunselected: string;
        unselected: string;
        beforecollapsed: string;
        collapsed: string;
        beforeexpanded: string;
        expanded: string;
    };
    TOGGLE_CLASSES: {
        collapsed: string;
        expanded: string;
    };
    TREE_ARIA_LABEL: string;
};
export default IdsTreeShared;
