/**
 * Test if user agent matches a pattern
 * @param {string} pattern The pattern to match against
 * @returns {boolean} True if the pattern matches
 */
export declare function testUserAgent(pattern: string): boolean;
/**
 * Return an object with some browser information. Used primary for the ids-about component.
 * You avoid using browser detection for anything else.
 * @returns {object} browser device env specs
 */
export declare function getSpecs(): {
    platform: any;
    isMobile: boolean;
    browser: string;
    browserVersion: string;
    idsVersion: string;
    browserLanguage: string;
};
